package com.yihu.wlyy.entity.statistics;

import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 人口基数
 *
 * @author lyr
 */
@Entity
@Table(name = "wlyy_people_num")
public class PopulationBase extends IdEntity implements java.io.Serializable{
    // 行政区划代码
    private String code;
    // 行政区划名称
    private String name;
    // 人口数
    private Integer num;
    // 类别 1市 2区
    private String type;
    // 年份
    private Integer year;
    // 高血压发病数
    private Integer gxyNum;
    // 糖尿病发布数
    private Integer tnbNum;
    // 65岁以上老年人口数
    private Integer sixFiveNum;
    // 高血压任务数
    private Integer gxyTaskNum;
    // 糖尿病任务数
    private Integer tnbTaskNum;
    // 65岁以上老年人口任务数
    private Integer sixFiveTaskNum;
    // 户籍人口任务数
    private Integer taskNum;

    public String getCode() {
        return code;
    }
    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public String getType() {
        return type;
    }
    public void setType(String type) {
        this.type = type;
    }

    public Integer getYear() {
        return year;
    }
    public void setYear(Integer year) {
        this.year = year;
    }

    public Integer getGxyNum() {
        return gxyNum;
    }
    public void setGxyNum(Integer gxyNum) {
        this.gxyNum = gxyNum;
    }

    public Integer getTnbNum() {
        return tnbNum;
    }
    public void setTnbNum(Integer tnbNum) {
        this.tnbNum = tnbNum;
    }

    public Integer getSixFiveNum() {
        return sixFiveNum;
    }
    public void setSixFiveNum(Integer sixFiveNum) {
        this.sixFiveNum = sixFiveNum;
    }

    public Integer getGxyTaskNum() {
        return gxyTaskNum;
    }
    public void setGxyTaskNum(Integer gxyTaskNum) {
        this.gxyTaskNum = gxyTaskNum;
    }

    public Integer getTnbTaskNum() {
        return tnbTaskNum;
    }
    public void setTnbTaskNum(Integer tnbTaskNum) {
        this.tnbTaskNum = tnbTaskNum;
    }

    public Integer getSixFiveTaskNum() {
        return sixFiveTaskNum;
    }
    public void setSixFiveTaskNum(Integer sixFiveTaskNum) {
        this.sixFiveTaskNum = sixFiveTaskNum;
    }

    public Integer getTaskNum() {
        return taskNum;
    }
    public void setTaskNum(Integer taskNum) {
        this.taskNum = taskNum;
    }
}
